Skip to main content
GET
/
api
/
unrest
/
v1
/
list-unrest-events
ListUnrestEvents
curl --request GET \
  --url https://api.example.com/api/unrest/v1/list-unrest-events
{
  "events": [
    {
      "id": "<string>",
      "title": "<string>",
      "summary": "<string>",
      "eventType": "UNREST_EVENT_TYPE_UNSPECIFIED",
      "city": "<string>",
      "country": "<string>",
      "region": "<string>",
      "location": {
        "latitude": 0,
        "longitude": 0
      },
      "occurredAt": 123,
      "severity": "SEVERITY_LEVEL_UNSPECIFIED",
      "fatalities": 123,
      "sources": [
        "<string>"
      ],
      "sourceType": "UNREST_SOURCE_TYPE_UNSPECIFIED",
      "tags": [
        "<string>"
      ],
      "actors": [
        "<string>"
      ],
      "confidence": "CONFIDENCE_LEVEL_UNSPECIFIED"
    }
  ],
  "clusters": [
    {
      "id": "<string>",
      "country": "<string>",
      "region": "<string>",
      "eventCount": 123,
      "events": [
        {
          "id": "<string>",
          "title": "<string>",
          "summary": "<string>",
          "eventType": "UNREST_EVENT_TYPE_UNSPECIFIED",
          "city": "<string>",
          "country": "<string>",
          "region": "<string>",
          "location": {
            "latitude": 0,
            "longitude": 0
          },
          "occurredAt": 123,
          "severity": "SEVERITY_LEVEL_UNSPECIFIED",
          "fatalities": 123,
          "sources": [
            "<string>"
          ],
          "sourceType": "UNREST_SOURCE_TYPE_UNSPECIFIED",
          "tags": [
            "<string>"
          ],
          "actors": [
            "<string>"
          ],
          "confidence": "CONFIDENCE_LEVEL_UNSPECIFIED"
        }
      ],
      "severity": "SEVERITY_LEVEL_UNSPECIFIED",
      "startAt": 123,
      "endAt": 123,
      "primaryCause": "<string>"
    }
  ],
  "pagination": {
    "nextCursor": "<string>",
    "totalCount": 123
  }
}

Query Parameters

start
string<int64>

Start of time range (inclusive), Unix epoch milliseconds.

end
string<int64>

End of time range (inclusive), Unix epoch milliseconds.

page_size
integer<int32>

Maximum items per page (1-100).

cursor
string

Cursor for next page.

country
string

Optional country filter (ISO 3166-1 alpha-2).

min_severity
string

Optional minimum severity filter.

ne_lat
number<double>

North-east corner latitude of bounding box.

ne_lon
number<double>

North-east corner longitude of bounding box.

sw_lat
number<double>

South-west corner latitude of bounding box.

sw_lon
number<double>

South-west corner longitude of bounding box.

Response

Successful response

ListUnrestEventsResponse contains unrest events and clusters matching the request.

events
object[]
clusters
object[]
pagination
object

PaginationResponse contains pagination metadata returned alongside list results.